package com.yanzuoguang.token;

import com.yanzuoguang.util.contants.SystemContants;
import com.yanzuoguang.util.vo.MapRow;

/**
 * Token创建数据
 *
 * @author 颜佐光
 */
public class TokenData {

    /**
     * token标记
     */
    private String token;

    /**
     * 数据密钥
     */
    private String dataPwd;

    /**
     * 有效时间
     */
    private long expire = 0;

    /**
     * 缓存的数据
     */
    private MapRow data = new MapRow();

    /**
     * 是否写入到数据库
     */
    private boolean write = false;

    public TokenData() {
        this.expire = System.currentTimeMillis() + SystemContants.DAY_UNIT;
    }

    public TokenData(String token, String dataPwd, MapRow data, long expire) {
        this.token = token;
        this.dataPwd = dataPwd;
        this.data = data;
        this.expire = expire;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getDataPwd() {
        return dataPwd;
    }

    public void setDataPwd(String dataPwd) {
        this.dataPwd = dataPwd;
    }

    public long getExpire() {
        return expire;
    }

    public void setExpire(long expire) {
        this.expire = expire;
    }

    public MapRow getData() {
        return data;
    }

    public void setData(MapRow data) {
        this.data = data;
    }

    public boolean isWrite() {
        return write;
    }

    public void setWrite(boolean write) {
        this.write = write;
    }
}
